<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");

if(!isset($ec_mday)) {
	fallback("calendar.php");
}


/*
 * GUI
 */
$from = array(
	"year"	=> $ec_year,
	"mon"	=> $ec_month,
	"mday"	=> $ec_mday,
);
$to = array(
	"year"	=> $ec_year,
	"mon"	=> $ec_month,
	"mday"	=> $ec_mday,
);
$events = array();
ec_get_events($ec_year, $ec_month, $ec_mday, $events, true);
if(!isset($events[$ec_year][$ec_month][$ec_mday])) {
	fallback("calendar.php?y=$y&m=$m");
}


$query_id = dbquery("SELECT DATE_FORMAT('$ec_year-$ec_month-$ec_mday',
	'".$ec_settings['date_fmt']."') AS date");
$date = array_shift(dbarray($query_id));


/*
 * GUI
 */
opentable($date);
ec_menu();


//$event_id = array_shift(array_keys($ev[$ec_mday]));
//echo "<pre>"; print_r($events); echo "</pre>\n";

foreach($events[$ec_year][$ec_month][$ec_mday] as $id => $day_data) {
	$day_data['is_admin'] = (iEC_ADMIN
		|| (iMEMBER && $day_data['user_id']==$userdata['user_id']));
	$day_data['ev_title'] = "<a href='view_event.php?id=$id'>"
		.$day_data['ev_title']."</a>";
	ec_render_event($day_data);
}
closetable();
tablebreak();


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
