<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION')) {
	die();
}
require_once(INFUSIONS.'aw_ecal_panel/include/core.php');

?>
<script type='text/javascript'>
function ec_confirm_delete() {
	return confirm("<?php echo $locale['EC006']; ?>");
}
</script>
<?php



/*
 * FUNCS
 */
function ec_menu()
{
	global $locale, $ec_settings;

	$menu = "";
	$path = INFUSIONS."aw_ecal_panel";

	$menu = "<table border='0' cellspacing='0' cellpadding='0' width='100%'>
<tr>
	<td><b>".$locale['EC400'].":</b> <a href='$path/calendar.php'>"
			.$locale['EC009']."</a>"
		." | <a href='$path/browse.php'>".$locale['EC010']."</a>"
		."<br><a href='$path/search.php'>".$locale['EC011']."</a>"
		." | <a href='$path/edit_event.php'>".$locale['EC100']."</a>"
	."</td>
	<td align='right'>";
	if(iMEMBER) {
		$menu .= "<b>".$locale['EC007'].":</b> "
			."<a href='$path/my_events.php'>"
				.$locale['EC001']."</a>"
			." | <a href='$path/my_logins.php'>"
				.$locale['EC008']."</a>"
			."<br>";
	}
	if(iSUPERADMIN) {
		$menu .= "<a href='$path/admin.php'>".$locale['EC700']."</a>"
				." | <a href='$path/admin/misc.php'>"
					.$locale['EC750']."</a> | ";
	}
	if(iEC_ADMIN) {
		$menu .= "<a href='$path/new_events.php'>".$locale['EC013']
				."</a> | ";
	}
	$menu .= "<a href='$path/about.php'>".$locale['EC005']."</a>"
	."</td>
</tr>
</table>
<hr>\n";
	echo $menu;
}


if(!function_exists('ec_render_event')) {
function ec_render_event($event, $target='')
{
	global $locale;

	$body = str_replace(EC_BREAK, '', $event['ev_body']);
	if(!$event['ev_no_smileys']) {
		$body = parsesmileys($body);
	}
	$body = nl2br(parseubb($body));

	$admin_stuff = array();
	if($event['ev_allow_logins']) {
		$admin_stuff[] = "<a href='view_event.php?id="
			.$event['ev_id']."#logins'>".$locale['EC008']."</a>";
	}
	if($event['is_admin']) {
		$admin_stuff[] = "<a href='edit_event.php?id="
			.$event['ev_id']."'>".$locale['EC304']."</a>";
		$admin_stuff[] = "<a href='edit_event.php?id="
			.$event['ev_id']."&amp;status=1$target'>"
				.($event['ev_status']
					? $locale['EC306']
					: $locale['EC307']
				)."</a>";
		$admin_stuff[] = "<a href='edit_event.php?id="
				.$event['ev_id']."&amp;del=1$target'"
			." onclick='return ec_confirm_delete();'>"
			.$locale['EC305']."</a>";
	}
	if(count($admin_stuff)) {
		$admin_stuff = implode(" | ", $admin_stuff);
	} else {
		$admin_stuff = "";
	}

	if($event['ev_private']) {
		$more = "<img src='icons/locked.gif' alt=''"
			." title='".$locale['EC108']."'>";
	} else {
		$more = "<b>".$locale['EC116'].":</b> "
			.getgroupname($event['ev_access']);
	}
	if($event['ev_repeat']) {
		$more .= "<br><b>".$locale['EC107'].":</b> "
			.$locale['EC125'][$event['ev_repeat']];
	}

	if($event['ev_status']) {
		$status = "<tr><td align='center' valign='center' class='forum-caption' height='50'><strong>"
			.$locale['EC301']."</strong></td></tr>\n";
	} else {
		$status = "";
	}

	$time = '';
	if($event['start_time']) {
		$time = $event['start_time'];
		if($event['end_time']) {
			$time .= ' - '.$event['end_time'];
		}
		$time .= '<br />';
	}

	echo "<p>
<table border='0' width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>
$status
<tr>
	<td class='tbl2'>
	<table width='100%'>
	<tr>
		<td width='32'><img src='icons/event.gif' alt=''></td>
		<td>
			".$event['date']."<br />
			".$time."
			<span class='awec_title'>".$event['ev_title']."</span>
		</td>
		<td valign='top' align='right'>".$more."</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td class='tbl1'>".$body."</td>
</tr>
<tr>
	<td class='tbl2'>
	<table width='100%'>
	<tr>
		<td><span class='small2'><a href='".BASEDIR."profile.php"
			."?lookup=".$event['user_id']."'>".$event['user_name']
				.""."</a> - ".showdate("shortdate",
				$event['ev_timestamp'])."</span></td>
		<td align='right'>$admin_stuff</td>
	</tr>
	</table>
	</td>
</tr>
</table>\n";
}
}


function ec_get_bb_smileys($form, $show_no_smileys_field, $smileys_off) {
	global $locale;
	$retval = "
<input type='button' value='b' class='button' style='font-weight:bold;' onclick=\"addText('$form', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;' onclick=\"addText('$form', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;' onclick=\"addText('$form', '[u]', '[/u]');\">
<input type='button' value='url' class='button' onclick=\"addText('$form', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' onclick=\"addText('$form', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' onclick=\"addText('$form', '[img]', '[/img]');\">
<input type='button' value='center' class='button' onclick=\"addText('$form', '[center]', '[/center]');\">
<input type='button' value='small' class='button' onclick=\"addText('$form', '[small]', '[/small]');\">
<input type='button' value='code' class='button' onclick=\"addText('$form', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' onclick=\"addText('$form', '[quote]', '[/quote]');\">";

	if($show_no_smileys_field) {
		$retval .= '
<p></p>
<input type="checkbox" name="disable_smileys"'
	.($smileys_off
		? ' checked="checked"'
		: '')
.'><label>'.$locale['EC112'].'</label>';
	}

	$retval .= "
<p></p>
<fieldset>
".displaysmileys($form)."
</fieldset>";

	return $retval;
}


if(!function_exists('show_info')) {
function show_info($info, $class='warning')
{
	if(is_array($info)) {
		$info = '<ul>
	<li>'.implode("</li>\n\t<li>", $info).'</li>
</ul>';
	}

	echo '
<div class="tbl1" style="font-weight:bold; padding:10px 50px;">
'.$info.'
</div>
';
}
}


?>
