<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION')) {
	die();
}


if(!$event['ev_allow_logins']) {	// FIXME
	return;
}


/*
 * ACTION
 */
if(isset($_POST['status']) && $can_login) {
	$status = stripinput($_POST['status']);
	if($status>=1 && $status<=3) {
		$comm = stripinput($_POST['comment']);
		if($event['ev_max_logins'] && $cur_logins>=$max_logins) {
			$ok = dbquery("UPDATE ".DB_PREFIX."aw_ec_logins"
				." SET"
				." login_status='$status',"
				." login_comment='$comm',"
				." login_timestamp='".time()."'"
				." WHERE user_id='".$userdata['user_id']."'"
				." AND ev_id='$id'");
		} else {
			$ok = dbquery("REPLACE INTO ".DB_PREFIX."aw_ec_logins"
				." SET ev_id='$id',"
				." user_id='".$userdata['user_id']."',"
				." login_status='$status',"
				." login_comment='$comm',"
				." login_timestamp='".time()."'");
		}
	} elseif($status==4) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_ec_logins"
			." WHERE ev_id='$id'"
			." AND user_id='".$userdata['user_id']."'");
	} else {
		fallback(FUSION_SELF."?id=$id&errno=2");
	}
	fallback(FUSION_SELF."?id=$id".($ok ? "" : "&errno=3"));

} elseif(isset($_GET['action']) && $_GET['action']=="delete"
	&& isset($_GET['user_id']) && isNum($_GET['user_id']) && $is_admin) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_ec_logins"
		." WHERE ev_id='$id' AND user_id='".$_GET['user_id']."'");
	fallback(FUSION_SELF."?id=$id");

} elseif(isset($_POST['invite']) && $is_admin) {
	foreach($_POST['users'] as $val) {
		$val = intval($val);
		if($val) {
			$ok = dbquery("INSERT INTO ".DB_PREFIX."aw_ec_logins"
				." SET login_status='4',"
				." login_timestamp='".time()."',"
				." user_id='$val', ev_id='$id'");
		}
	}
	fallback(FUSION_SELF."?id=$id");
}



/****************************************************************************
 * GUI: logins
 */
tablebreak();
echo '<a name="logins"></a>';
opentable($locale['EC008']);
if(!$can_login || ($cur_logins>=$max_logins && $event['ev_max_logins']!=0)) {
	show_info($locale['EC114']);
}


$my_login = false;


// others login
$query_id = dbquery("SELECT kl.*, fu.user_name
	FROM ".DB_PREFIX."aw_ec_logins AS kl
	LEFT JOIN ".DB_PREFIX."users AS fu ON kl.user_id=fu.user_id
	WHERE ev_id='".$event['ev_id']."'
	ORDER BY kl.login_status ASC");
// count different logins
$count_types = array();
foreach($locale['EC309'] as $sid => $stext) {
	$count_types[$sid] = 0;
}
$the_whole_table = "";
$new_status = "";
$count = 1;
$users_in_list = array();
while($user = dbarray($query_id)) {
	$count_types[$user['login_status']]++;
	$users_in_list[] = $user['user_id'];

	if(iMEMBER && $user['user_id']==$userdata['user_id']) {
		$my_login = $user;
	}

	if($user['login_status'] != $new_status) {
		$new_status = $user['login_status'];
		$the_whole_table .=  '
<tr>
	<th colspan="4">'.$locale['EC309'][$user['login_status']].'</th>
</tr>';
		$count = 1;
	}

	$the_whole_table .= '
<tr class="tbl'.(++$count%2 + 1).'">
	<td><a href="'.BASEDIR.'profile.php?lookup='.$user['user_id'].'">'
		.$user['user_name'].'</a></td>
	<td>'.$user['login_comment'].'</td>
	<td>'.showdate('shortdate', $user['login_timestamp']).'</td>
	<td>';
	if($is_admin) {
		$the_whole_table .= '
		<a href="'.FUSION_SELF.'?id='.$event['ev_id']
			.'&action=delete&user_id='.$user['user_id'].'"'
				.' onclick="return ec_confirm_delete();">'
				.$locale['EC305'].'</a>';
	}
	$the_whole_table .= '
	</td>
</tr>';
}

// status
$stats = array();
foreach($locale['EC309'] as $sid => $stext) {
	if($sid) {
		$stats[$stext] = $count_types[$sid];
	}
}



echo '
<table border="0" width="100%">
<tbody>
<tr>
	<td valign="top">';


// display!
echo '
<table class="tbl-border" cellspacing="1" border="0">
<tbody>
<tr>
	<th style="text-align:right;">'.$locale['EC008'].':</th>
	<th>
		'.$cur_logins.($event['ev_max_logins']
				? '/'.$event['ev_max_logins']
				: '').'
	</th>
</tr>';
foreach($stats as $label => $value) {
	echo '
<tr>
	<td class="tbl2" style="text-align:right;">'.$label.':</td>
	<td class="tbl1">'.$value.'</td>
</tr>';
}
echo '
</tbody>
</table>';


echo '
	</td>
	<td valign="top">';


// my login
if(iMEMBER) {
	if(is_array($my_login)) {
		echo '<p></p>
<div style="text-align:center">
	<strong>'.$locale['EC311'].':</strong> '
		.$locale['EC309'][$my_login['login_status']].'
</div>';
	} else {
		$my_login['login_status'] = 1;
		$my_login['login_comment'] = '';
	}
	if($can_login
		&& (!$event['ev_max_logins']
		|| ($cur_logins<$max_logins || dbrows($query_id))))
	{
		$radio_status = '';
		foreach($locale['EC310'] as $sid => $stext) {
			$radio_status .= "<input type='radio' value='$sid'"
				.($sid==$my_login['login_status'] ? " checked" : "")
				." name='status'>$stext\n";
		}

		echo '
<hr />

<form method="post" action="'.FUSION_SELF.'?id='.$event['ev_id'].'">
<div style="text-align: center;">
<label>'.$locale['EC312'].':
<input type="text" size="50" class="textbox" name="comment"
	value="'.$my_login['login_comment'].'" maxlength="50">

<input type="submit" class="button" value="'.$locale['EC111'].'">

<p></p>
'.$radio_status.'
</div>
</form>';
	}
}


echo '
	</td>
</tr>
</tbody>
</table>';





echo '<p></p>
<table border="0" cellspacing="1" width="100%" class="tbl-border">
<colgroup>
	<col width="20%" />
	<col width="30%" />
	<col width="10%" />
	<col width="10%" />
</colgroup>
<tbody>'
	.$the_whole_table
	.'
</table>';
closetable();


if(!$is_admin) {
	return;
}


/****************************************************************************
 * INVITE
 */
tablebreak();
opentable($locale['EC322']);

$grp = $event['ev_login_access'];
$query = "SELECT user_id, user_name
	FROM ".DB_PREFIX."users
	WHERE user_status='0'";
// aha, group
if($grp) {
	if($grp < 101) {
		$query .= " AND user_groups REGEXP('^\\\.{$grp}$|\\\.{$grp}\\\.|\\\.{$grp}$')";
	// user, level
	} else {
		$query .= " AND user_level>='$grp'";
	}
}
$query .= " ORDER BY user_name ASC";
$query_id = dbquery($query);
$sel_users = "";
while($data = dbarray($query_id)) {
	if(!in_array($data['user_id'], $users_in_list)) {
		$sel_users .= "<option value='".$data['user_id']."'>"
			.$data['user_name']."</option>\n";
	}
}

echo '
<form method="post" action="'.FUSION_SELF.'?id='.$event['ev_id'].'">
<div style="text-align: center;">
<span class="small2">'.$locale['EC323'].'</span><br />
<select class="textbox" name="users[]" size="10" multiple="multiple">'
	.$sel_users.'</select>

<p></p>
<input type="submit" class="button" name="invite" value="'.$locale['EC322'].'">
</div>
</form>';
closetable();



/****************************************************************************
 * GUI: mail
 */
tablebreak();
echo '<a name="mail"></a>';
opentable($locale['EC313']);

if(isset($_GET['sent'])) {
	echo "<p><div style='text-align:center;'><strong>"
		.$locale['EC320']."</strong></div></p>\n";
}

if(isset($_POST['mail'])) {
	$errors = 0;

	$who = array();
	if(isset($_POST['who'])) {
		foreach($_POST['who'] as $val) {
			$who[] = "login_status='".intval($val)."'";
		}
	}
	if(count($who)==0) {
		$errors++;
		$err_str = $locale['EC115'][4];
	}

	if(!$errors) {
		$query_id = dbquery("SELECT user_name, user_email"
			." FROM ".DB_PREFIX."aw_ec_logins"
			." LEFT JOIN ".DB_PREFIX."users USING(user_id)"
			." WHERE ev_id='$id' AND (".implode(" OR ", $who).")");
		if(!dbrows($query_id)) {
			$errors++;
			$err_str = $locale['EC115'][4];
		}
	}

	if($errors) {
		echo "<p><div style='text-align:center;'><strong>"
			.$err_str."</strong></div></p>\n";
	} else {
		require_once(INCLUDES.'sendmail_include.php');


		$body = stripinput($_POST['body']).'

<h1>'.$locale['EC104'].'</h1>
<i>'.$event['date'].'</i>';

		if($event['start_time']) {
			$body .= "\n<i>".$event['start_time'];
			if($event['end_time']) {
				$body .= ' - '.$event['end_time'];
			}
			$time .= "</i>\n";
		}

		$body .= "\n".str_replace(EC_BREAK, '', $event['ev_body']);

		$body = parseubb($body);

		if(isset($_POST['html'])) {
			$type = "html";
			$body = nl2br($body);
		} else {
			$type = "plain";
			$body = strip_tags($body);
		}

		$one_to_all = (isset($_POST['one_to_all'])
			? $_POST['one_to_all']
			: false);

		$mail_addr = array();
		while($data = dbarray($query_id)) {
			if(!$one_to_all) {
				sendemail($data['user_name'], $data['user_email'],
					$settings['siteusername'],
					$settings['siteemail'],
					$event['ev_title'], $body, $type);
			} else {
				$mail_addr[$data['user_name']] = $data['user_email'];
			}
		}

		if($one_to_all) {
			sendemail($locale['EC319'], implode(",", $mail_addr),//FIXME
				$settings['siteusername'], $settings['siteemail'],
				$event['ev_title'], $body, $type);
		}

		fallback(FUSION_SELF."?id=$id&sent=1#mail");
	}
}

/* GUI */
$who = "";
foreach($locale['EC309'] as $sid => $stext) {
	if($sid) {
		$who .= "<input type='checkbox' name='who[]'"
			." value='$sid'> $stext ";
	}
}
echo '
<p></p>
<form method="post" action="'.FUSION_SELF.'?id='.$event['ev_id'].'#mail" name="inputform">
<div align="center">
'.$who.'
<p></p>
<textarea class="textbox" name="body" rows="6" cols="60"></textarea>
<p></p>
'.ec_get_bb_smileys('body', false, '').'
<p></p>
<input type="radio" name="one_to_all" value="0">
<label>'.$locale['EC314'].'</label>

<input type="radio" name="one_to_all" value="1" checkedchecked>
<label>'.$locale['EC315'].'</label><br />

<input type="checkbox" name="html" checked="checked">
<label>'.$locale['EC321'].'</label>

<p></p>
<input type="submit" class="button" name="mail" value="'.$locale['EC316'].'">
</div>
</form>';

closetable();


?>
