<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");


require_once("include/common.php");


if(!iEC_ADMIN) {
	fallback("calendar.php");
}


/*
 * GUI
 */
opentable($locale['EC500']);
ec_menu();

$query_id = dbquery("SELECT ev.*, fu.user_name,"
	." DATE_FORMAT(ev_start, '".$ec_settings['date_fmt']."')"
		." AS date"
	." FROM ".DB_PREFIX."aw_ec_events AS ev"
	." LEFT JOIN ".DB_PREFIX."users AS fu ON ev.user_id=fu.user_id"
	." WHERE ev_status!='0'");
if(!dbrows($query_id)) {
	echo "<p>".$locale['EC501'];
}

while($data = dbarray($query_id)) {
	$data['is_admin'] = true;
	ec_render_event($data, "&amp;time=".$data['ev_timestamp']."&amp;back_to=new");
}

closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
