<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

if(!iSUPERADMIN) {
	fallback("calendar.php");
}

require_once("../include/common.php");

if(isset($_GET['days']) && isNum($_GET['days'])) {
	$days = $_GET['days'];
} else {
	$days = 180;
}
$where = "ev_repeat='0'"
	." AND DATE_SUB(CURDATE(), INTERVAL $days DAY) >= ev_start";


/*
 * ACTION
 */
if(isset($_GET['del_events'])) {
	// delete logins
	$query_id = dbquery("SELECT ev_id"
		." FROM ".DB_PREFIX."aw_ec_events"
		." WHERE $where");
	while($data = dbarray($query_id)) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_ec_logins"
			." WHERE ev_id='".array_shift($data)."'");
	}

	// delete events
	$ok = dbquery("DELETE FROM ".DB_PREFIX."aw_ec_events"
		." WHERE $where");
	if($ok) {
		fallback(FUSION_SELF."?errno=1");
	}
}




/*
 * GUI
 */
opentable($locale['EC715']);
ec_menu();


if(isset($_GET['errno']) && isset($locale['EC717'][$_GET['errno']])) {
	echo "<p><div style='text-align:center;'><strong>"
		.$locale['EC717'][$_GET['errno']]."</strong></div></p>\n";
}


if(isset($_GET['del_confirm'])) {
	$count = dbcount("(*)", "aw_ec_events", $where);
	echo "<p>
<form method='get' action='".FUSION_SELF."'>
<input type='hidden' name='del_events' value='1'>
<input type='hidden' name='days' value='$days'>
$count ".$locale['EC718']."
<p><input type='submit' class='button' value='".$locale['EC305']."'>
</form>\n";
} else {
	echo $locale['EC716']."
<p>
<form method='get' action='".FUSION_SELF."'>
<input type='text' class='textbox' name='days' value='$days' size='3'>
".$locale['EC721']."
<input type='submit' class='button' name='del_confirm' value='".$locale['EC305']."'>
</form>\n";
}
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
