<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../maincore.php');
require_once(BASEDIR.'subheader.php');
require_once(BASEDIR.'side_left.php');

require_once('include/common.php');


/*
 * GUI
 */
opentable($locale['EC400']." - ".$ec_year);
ec_menu();
echo "<div align='center'>
<form action='".FUSION_SELF."' method='get'>
<b>".$locale['EC450'].":</b>
<a href='".FUSION_SELF."?y=".($ec_year-1)."'><img src='".THEME
	."images/left.gif' alt='&lt;' border='0'></a>
<input type='text' class='textbox' size='5'"
	." maxlength='4' name='y' value='$ec_year'>
<a href='".FUSION_SELF."?y=".($ec_year+1)."'><img src='".THEME
	."images/right.gif' alt='&lt;' border='0'></a>
<input type='submit' class='button' value='".$locale['EC451']."'>
</form>
</div>
<hr>\n";


$quicks = array();
for($i=1; $i<=12; ++$i) {
	$quicks[] = "<a href='".FUSION_SELF."?y=$ec_year#mon$i'>"
		.$locale['EC900'][$i]."</a>\n";
}
echo implode(" | ", $quicks);


$from = array(
	"year"	=> $ec_year,
	"mon"	=> 1,
	"mday"	=> 1,
);
$to = array(
	"year"	=> $ec_year,
	"mon"	=> 12,
	"mday"	=> 31,
);
$events = array();
ec_get_events($ec_year, 0, 0, $events, false);
for($i=1; $i<=12; ++$i) {
	echo "<p>
<a name='mon$i'></a>
<table width='100%' cellspacing='1' class='tbl-border'>
<tr>
	<td colspan='2' class='forum-caption'>".$locale['EC900'][$i]."</td>
</tr>\n";

	if(!isset($events[$ec_year][$i])) {
		echo "</table>\n";
		continue;
	}

	ksort($events[$ec_year][$i], SORT_NUMERIC);
	$count = 0;
	foreach($events[$ec_year][$i] as $mday => $day_data) {
		$tbl = "tbl".(++$count%2 + 1);
		echo "<tr>
	<td valign='top' align='right' width='1%' class='$tbl'>"
		."<a href='day.php?y=$ec_year&amp;m=$i&amp;d=$mday'>".$mday
		."</a>.</td>\n<td class='$tbl'>\n";
		foreach($day_data as $data) {
			echo EC_BULLET." <a href='view_event.php"
				."?id=".$data['ev_id']."'>"
				.$data['ev_title']."</a><br>\n";
		}
		echo "</td>\n</tr>\n";
	}

	echo "</table>\n";
}
closetable();


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
