<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION') || !checkrights('I')) {
	die();
}


// Infusion Information
$inf_title		= 'Event Calendar';
$inf_description	= 'Event Calendar';
$inf_version		= '0.7.5';
$inf_developer		= 'Artur Wiebe';
$inf_email		= 'wibix@gmx.de';
$inf_weburl		= 'http://wibix.de';

$inf_folder		= 'aw_ecal_panel';
$inf_admin_image	= '';
$inf_admin_panel	= 'admin.php';

$inf_link_name		= '';
$inf_link_url		= '';
$inf_link_visibility	= '0';

$inf_newtables		= 3;
$inf_insertdbrows	= 1;
$inf_altertables	= 0; 
$inf_deldbrows		= 0; 

$inf_newtable_[1] = "aw_ec_events (
	ev_id int(10) unsigned NOT NULL auto_increment,
	user_id smallint(5) unsigned NOT NULL default '0',
	ev_title varchar(200) NOT NULL default '',
	ev_body text NOT NULL,
	ev_no_smileys tinyint(1) unsigned NOT NULL default '0',
	ev_timestamp int(10) unsigned NOT NULL default '0',

	ev_start datetime NOT NULL default '0000-00-00 00:00:00',
	ev_end datetime NOT NULL default '0000-00-00 00:00:00',

	ev_start_time time default NULL,
	ev_end_time time default NULL,

	ev_repeat tinyint(1) unsigned NOT NULL default '0',
	ev_private tinyint(1) unsigned NOT NULL default '0',
	ev_status tinyint(1) unsigned NOT NULL default '0',
	ev_allow_logins tinyint(1) NOT NULL default '0',
	ev_max_logins smallint(5) unsigned NOT NULL default '0',
	ev_login_access tinyint(3) unsigned NOT NULL default '101',
	ev_login_limit tinyint(1) unsigned NOT NULL default '0',
	ev_login_start int(10) unsigned NOT NULL default '0',
	ev_login_end int(10) unsigned NOT NULL default '0',
	ev_access tinyint(3) unsigned NOT NULL default '0',
	ev_show_time tinyint(1) unsigned NOT NULL default '0',
	admin_user_id smallint(5) unsigned NOT NULL default '1',
	PRIMARY KEY (ev_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "aw_ec_logins (
	ev_id int(10) unsigned NOT NULL default '0',
	user_id smallint(5) unsigned NOT NULL default '0',
	login_comment varchar(50) NOT NULL default '',
	login_status tinyint(1) unsigned NOT NULL default '0',
	login_timestamp int(10) unsigned NOT NULL default '0',
	PRIMARY KEY (ev_id, user_id)
) TYPE=MyISAM;";

$inf_newtable_[3] = "aw_ec_settings (
	need_admin_ok tinyint(1) NOT NULL default '1',
	edit_group tinyint(3) unsigned NOT NULL default '103',
	post_group tinyint(3) unsigned NOT NULL default '101',
	show_today_in_panel tinyint(1) unsigned NOT NULL default '0',
	show_birthday_to_group tinyint(3) unsigned NOT NULL default '0',
	show_birthday_in_panel tinyint(1) unsigned NOT NULL default '1',

	birthdate_fmt varchar(50) NOT NULL default '%d.%m.%Y',
	date_fmt varchar(50) NOT NULL default '%d.%m.%Y',
	sidedate_fmt varchar(50) NOT NULL default '%d.%m. ',
	time_fmt varchar(50) NOT NULL default '%H:%i',

	invite_pm tinyint(1) unsigned NOT NULL default '0',

	next_days_in_panel tinyint(1) NOT NULL default '0',
	sun_first_dow enum('yes', 'no') NOT NULL default 'no',
	version varchar(10) NOT NULL default '".$inf_version."'
) TYPE=MyISAM;";


$inf_insertdbrow_[1] = "aw_ec_settings () VALUES()";


$inf_droptable_[1] = 'aw_ec_events';
$inf_droptable_[2] = 'aw_ec_logins';
$inf_droptable_[3] = 'aw_ec_settings';
?>

