<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");


require_once("include/common.php");

if(!iMEMBER) {
	fallback("calendar.php");
}


/*
 * GUI
 */
opentable($locale['EC600']);
ec_menu();

$query_id = dbquery("SELECT ev_title, ev_id, ev_allow_logins,"
	." DATE_FORMAT(ev_start, '".$ec_settings['date_fmt']."') AS start,"
	." ev_private, ev_status"
	." FROM ".DB_PREFIX."aw_ec_events"
	." WHERE user_id='".$userdata['user_id']."'"
	." ORDER BY ev_status DESC, ev_private DESC, ev_start DESC");
if(!dbrows($query_id)) {
	echo "<p>".$locale['EC601'];
}
$is_private = "";
$last_status = "";
while($ev = dbarray($query_id)) {
	if($ev['ev_status']) {
		if(empty($last_status)) {
			echo "<b>".$locale['EC500']."</b>\n<ul>\n";
		}
		$last_status = $ev['ev_status'];
	} elseif($is_private!=$ev['ev_private']) {
		if(!empty($is_private) || !empty($last_status)) {
			echo "</ul>\n";
		}
		$is_private = $ev['ev_private'];
		echo "<b>".$locale['EC602'][$is_private]."</b>\n<ul>\n";
	}
	echo "<li>".$ev['start']
		." <a href='view_event.php?id=".$ev['ev_id']."'>"
		.$ev['ev_title']."</a>";
	if($ev['ev_allow_logins']) {
		$logins = dbcount("(*)", "aw_ec_logins",
			"(ev_id='".$ev['ev_id']."')");
		echo " ($logins ".$locale['EC008'].")";
	}
	echo "</li>\n";
}
if(dbrows($query_id)) {
	echo "<ul>\n";
}
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
