<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../maincore.php');
require_once(BASEDIR.'subheader.php');
require_once(BASEDIR.'side_left.php');

if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
} else {
	fallback('calendar.php');
}

require_once('include/common.php');
if(iGUEST) {
	$userdata['user_id']="0";
}


/*
 * GET
 */
if(iEC_ADMIN) {
	$user_access = "";
} else {
	$user_access = " AND ((ev_status='0' AND ev_private='0')"
		." OR ev.user_id='".$userdata['user_id']."')";
}
$query_id = dbquery("SELECT ev.*, user_name,
	DATE_FORMAT(ev_start, '".$ec_settings['date_fmt']."') AS date,
	DATE_FORMAT(ev_end_time, '".$ec_settings['time_fmt']."') AS end_time,
	DATE_FORMAT(ev_start_time, '".$ec_settings['time_fmt']."') AS start_time
	FROM ".DB_PREFIX."aw_ec_events AS ev
	LEFT JOIN ".DB_PREFIX."users AS fu USING(user_id)
	WHERE ev_id='$id' $user_access");
if(dbrows($query_id)==0) {
	fallback('index.php');
}
$event = dbarray($query_id);
if(!empty($user_access) && !ec_check_access($event['ev_access'])) {
	fallback('index.php');
}

if($event['ev_allow_logins']) {
	$can_login = ec_check_access($event['ev_login_access']);
	$cur_logins = dbcount("(*)", "aw_ec_logins",
		"(ev_id='$id' AND login_status='1')");
	$max_logins = $event['ev_max_logins'];
} else {
	$can_login = false;
	$max_logins = 1;
	$cur_logins = 0;
}

// who am i?
$is_admin = (iADMIN
	|| (iMEMBER && $event['user_id']==$userdata['user_id']));
$event['is_admin'] = $is_admin;


/*
 * GUI
 */
opentable($locale['EC300']);
ec_menu();
ec_render_event($event, "&amp;time=".$event['ev_timestamp']);
closetable();


/*
require_once INCLUDES."comments_include.php";
showcomments("E","aw_ec_events","ev_id",$id,FUSION_SELF."?id=$id");
*/


require_once('include/event_logins.php');

require_once(BASEDIR.'side_right.php');
require_once(BASEDIR.'footer.php');
?>
